from django.urls import path
from rest_framework_simplejwt.views import TokenRefreshView
from .views import (
    RegisterView, MeView, UserManageViewSet, UserDetailView,
    SendCodeView, CustomTokenObtainPairView,
    RequestResetPasswordView, ConfirmResetPasswordView
)

urlpatterns = [
    path('register/', RegisterView.as_view()),
    path('send-code/', SendCodeView.as_view()),
    path('login/', CustomTokenObtainPairView.as_view()),
    path('token/refresh/', TokenRefreshView.as_view()),
    path('reset-password/', RequestResetPasswordView.as_view()),
    path('confirm-reset-password/', ConfirmResetPasswordView.as_view()),
    path('me/', MeView.as_view()),
    path('users/', UserManageViewSet.as_view()),
    path('users/<int:pk>/', UserDetailView.as_view()),
]
